unit UAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Placemnt, RXCtrls, StdCtrls, Buttons, ExtCtrls, jpeg, ShellApi;

type
  TfrmAbout = class(TForm)
    FormPlacement: TFormPlacement;
    lblAuthName: TRxLabel;
    lblAboutName: TLabel;
    lblVertxt: TLabel;
    lblVersion: TLabel;
    LogoImg: TImage;
    lblEmail: TLabel;
    BtnCloseAbout: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure lblEmailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation
uses HTMLGenUnit;
{$R *.DFM}
(******************************************************************************************)

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
  if assigned(HTMLForm) then                      // keep same ini file for the about form
    FormPlacement.inifilename := HTMLform.FormPlacement.inifilename // placement control
end;
(******************************************************************************************)

procedure TfrmAbout.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  action := caFree;                               // release the form when closing
end;
(******************************************************************************************)

procedure TfrmAbout.lblEmailClick(Sender: TObject);
begin                                             // run the default email application
  shellexecute(Application.handle, PChar('open'), pchar('mailto:' + lblEmail.caption),
    nil, nil, sw_show);
end;
(******************************************************************************************)

end.
